/*
 * @File: getTotalTime.js
 * @Description: 统计执行时间到一个文件
 * @Author: clownce.deng
 * @Date: 2020-05-15 10:49:00
 */

var _ = require("lodash");
var fs = require("fs");
var moment = require("moment");
var logger = require("topsin.logger");
var DB = require("topsin.database");
var error = require("topsin.error");
var console = require("console");
var process = require('process');
var ioprocess = require('topsin.ioprocess');
var config = require("./config");

try {
    var argv = process.argv;
    // 进程数量
    var process_count = _.toNumber(argv[1]);
    if (_.isNaN(process_count) || process_count == 0) {
        throw "invalid parameter.";
    }

    var total_content = "";
    for (var count = 1; count <= process_count; count++) {
        var file_path = config.work_path + "/process_" + count + ".txt";
        var content = fs.readFile(file_path);
        console.info(content);
        total_content += content + "\n";
    }
    fs.writeFile(config.work_path + "/total_time_cost.txt", total_content);

} catch (e) {
    console.error(e);
}